WordPress发布文章时出现可视化编辑器加载不出来,与文本不能切换的解决方法

在使用Wordpress发布文章的时候有时候会遇到这种现象,就是说Wordpress可视化编辑器加载不出来,或者是可视化与文本不能切换现象。这个问题有时候会出现在我们所使用的Wordpress版本升级之后。原因大多是编辑器所需的脚本文件没有正常加载。相近的一个问题是WordPress可视化编辑器不显示,也就是无法在可视化和文本之间切换。

可以尝试的方法:

  1. 检查是否开启了可视化编辑器:后台 > 用户 > 我的个人资料,查看是否勾选“撰写文章时不使用可视化编辑器”
  2. 更换为WP自带默认主题,禁用所有插件
  3. 清空浏览器缓存,或者使用其他浏览器看看
  4. 下载相同版本的WordPress安装包,解压后,将 /wp-admin/ 和 /wp-includes/ 这两个文件夹的文件重新上传覆盖
  5. 还有一种方法。/wp-includes/js/tinymce/ 原版替换,解决。
  6. 打开根目录的 wp-config.php ,在底部添加下面的代码:
    define('CONCATENATE_SCRIPTS', false);

    (这句代码的作用是禁止js结合在一起)

0

评论0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
没有账号? 忘记密码?

社交账号快速登录